monkeysphere (0.43-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 01 Mar 2019 10:43:58 -0500

monkeysphere (0.43-2) unstable; urgency=medium

  * Autopkgtest should cover Ed25519 as well
  * cherry-pick three upstream testing patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 24 Jan 2019 17:08:16 -0500

monkeysphere (0.43-1) unstable; urgency=medium

  * New upstream release

  [ Sunil Mohan Adapa ]
  * Improvements in TMPDIR handling (Closes: #656750, #911907)
  * Remove shell for monkeysphere user (Closes: #901489)

  [ Daniel Kahn Gillmor ]
  * Avoid paranoid accidental lockout (Closes: #897366)
  * Better error reporting for pem2openpgp (Closes: #906755)
  * Bump standards-version to 4.3.0 (no changes needed)
  * Move to debhelper 12
  * Use https for upstream links
  * Use https for wiki.debian.org
  * d/control: use ${perl:Depends} for monkeysphere
  * d/control: document versioned GnuPG dependency from upstream
  * d/control: explicitly depend on openssh-client for ssh-keygen
  * Note RSA and Ed25519 keys in agent-transfer description
  * Tell debhelper where examples come from
  * Avoid dh_missing reporting Changelog as "not installed"
  * use dh_missing --fail-missing

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 23 Jan 2019 17:44:36 -0500

monkeysphere (0.42-2) unstable; urgency=medium

  * added cpio as a requirement for the basic autopkgtest
  * gpg is super noisy to stderr -- ignore that noise during
    autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Oct 2018 10:17:55 -0400

monkeysphere (0.42-1) unstable; urgency=medium

  * new upstream bugfix release.

  [ Daniel Kahn Gillmor ]
  * make print_date_from_seconds_since_the_epoch deal better with bad input

  [ Helmut Grohne ]
  * use generic compiler (closes: #883015)

  [ Daniel Kahn Gillmor ]
  * clean up test suite failures when built against newer GnuPG

  [ Clint Adams ]
  * Remove RSAAuthentication from test ssh config (Closes: #902318)

  [ Antoine Beaupré ]
  * fix more gnupg2 colons changes (Closes: #902367)
  * yet more colon fixes that escaped previous inspections
  * write old-style PEM files to unbreak test suite (Closes: #909700)

  [ Clint Adams ]
  * Remove deprecated option from test sshd config (Closes: #902320)

  [ Sunil Mohan Adapa ]
  * tests: Ensure that stale sockets don't fail socat (Closes: #899060)

  [ Daniel Kahn Gillmor ]
  * use --send-keys instead of --send (closes: #908228)
  * prepare new release
  * enable tests to operate on system installation
  * d/copyright: use https for Format:
  * use priority optional instead of extra
  * added autopkgtest
  * override package-contains-documentation-outside-usr-share-doc for
    transitions README.txt
  * install examples in monkeysphere package
  * d/watch: use https
  * packaging handled by pkg-privacy-team (updated uploaders)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 16 Oct 2018 12:32:30 -0400

monkeysphere (0.41-1) unstable; urgency=medium

  * new upstream release
    - pem2openpgp now includes issuer fingerprint subpacket
      in hashed self-sig, more compatible with GnuPG 2.1.16
      (Closes: #844971)
    - avoid blocking for entropy during test suite
      (Closes: #841208)
    - ensure that attempts to fetch primary key fingerprint only fetch
      primary key fingerprint even if subkey fprs are emitted
      (Closes: #846554)
  * convert to debhelper 10
  * wrap-and-sort -ast
  * add netcat-openbsd to Recommends (Closes: #595947)
  * switch Recommends: from cron to cron-daemon (Closes: #842823)
  * drop patches already applied upstream
  * moved debian packaging to collab-maint for better visibility
  * added debian/watch to make lintian happy
  * converted debian/NEWS to not use asterisk-bulleted style
  * use all hardening options during C build

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 02 Dec 2016 22:58:25 -0500

monkeysphere (0.40-2) unstable; urgency=medium

  * try to fix kfreebsd builds

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Oct 2016 02:46:18 -0400

monkeysphere (0.40-1) unstable; urgency=medium

  * new upstream release
   - build cleanly with ld --as-needed (Closes: #836228)
   - tests pass with GnuPG 2.1.15 (Closes: #839790)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Oct 2016 01:16:54 -0400

monkeysphere (0.39-1) unstable; urgency=medium

  * new upstream bugfix release
   - avoid treating src/share/common as an executable
   - Include local build of agent-transfer in $PATH (Closes: #835719)
   - force bash as the shell during su (Closes: #827660)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 30 Aug 2016 03:14:40 -0400

monkeysphere (0.38-1) unstable; urgency=medium

  * new upstream release
   - includes new binary package "agent-transfer"

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 17 Jun 2016 02:13:53 -0400

monkeysphere (0.37-3) unstable; urgency=medium

  * actually patch log() to consume all stdin when not given a message
    argument (apparently the fix in 0.37-2 did not get properly applied)
    (Closes: #778833)
  * also from usptream: improve monkeysphere-authentication diagnostic
    checks.
  * wrap-and-sort for a cleaner debian/

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 06 May 2015 23:14:57 -0400

monkeysphere (0.37-2) unstable; urgency=medium

  * patch from upstream: log() should consume all stdin when not given a
    message argument.  Closes: #635711
  * bumped Standards-Version to 3.9.6 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 27 Nov 2014 14:52:41 -0500

monkeysphere (0.37-1) unstable; urgency=medium

  * new upstream release (Closes: #745144, #755337)
  * remove /var/lib/monkeysphere on package purge (Closes: #668754)
  * bumped Standards-Version to 3.9.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 06 Aug 2014 13:35:34 -0400

monkeysphere (0.36-1) unstable; urgency=low

  * New upstream release
    (Closes: #635648, #698383)
  * bumped Standards-Version to 3.9.4 (no changes needed)
  * moved debhelper compat level to 9
  * debian/control: remove obsolete Dm-Upload-Allowed
  * debian/copyright: update to modern machine-readable format

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 11 Jul 2013 13:38:51 -0400

monkeysphere (0.35-2) unstable; urgency=low

  * move from experimental to unstable.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 25 Feb 2011 14:37:05 -0500

monkeysphere (0.35-1) experimental; urgency=low

  * New upstream release

 -- Jameson Rollins <jrollins@finestructure.net>  Sat, 13 Nov 2010 18:25:47 -0500

monkeysphere (0.34-1) experimental; urgency=low

  [ Jameson Rollins ]
  * New upstream release (Closes: #600644)

  [ Daniel Kahn Gillmor ]
  * updated build-deps and depends to be versioned on gnupg 1.4.10 or
    later.

 -- Jameson Rollins <jrollins@finestructure.net>  Tue, 26 Oct 2010 10:35:04 -0400

monkeysphere (0.33-1) experimental; urgency=low

  * New upstream release (Closes: #600304, #591118)

 -- Jameson Rollins <jrollins@finestructure.net>  Fri, 15 Oct 2010 18:06:42 -0400

monkeysphere (0.32-1) experimental; urgency=low

  * New upstream release
  * remove the etc/X11/Xsession.d/70monkeysphere_use-validation-agent
    script, since msva will now be handling that itself.
  * bumped Standards-Version to 3.9.1 (no changes needed)

 -- Jameson Rollins <jrollins@finestructure.net>  Wed, 06 Oct 2010 17:52:09 -0400

monkeysphere (0.31-1) unstable; urgency=low

  * New Upstream Release
  * updated Xsession.d script to avoid choking when
    /etc/monkeysphere/monkeysphere.conf has been removed.
  * bumped Standards-Version to 3.9.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 15 Jul 2010 19:22:11 -0400

monkeysphere (0.30-1) unstable; urgency=low

  [ Daniel Kahn Gillmor]
  * New upstream release
   - handles lack of openssh utilities gracefully
  * moved openssh-client from Depends: to Recommends: (Closes: #574170)
  * Move to git buildpackage
  * Specify source format 3.0 (quilt)

  [ Micah Anderson ]
  * Remove duplicate Changelog install

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 17 Apr 2010 20:42:11 -0400

monkeysphere (0.29-1) unstable; urgency=low

  [ Jameson Graef Rollins ]
  * New upstream release

  [ Daniel Kahn Gillmor ]
  * bumped Standards-Version to 3.8.4 (no changes needed)
  * indicated bash dependency on version 3.2 or later (see MS #1687)
  * including /etc/Xsession.d/70monkeysphere_use_validation_agent so that
    administrators and users can choose to start up a validation agent for
    each X session using monkeysphere.conf

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 14 Mar 2010 21:07:17 -0400

monkeysphere (0.28-1) unstable; urgency=low

  * New upstream release
  * Separate upstream and debian changelogs

 -- Jameson Rollins <jrollins@finestructure.net>  Tue, 19 Jan 2010 13:56:17 -0500

monkeysphere (0.27-1) unstable; urgency=low

  * New upstream release
  * updated debian/copyright to match the latest revision of DEP5.
  * updated standards version to 3.8.3 (no changes needed)
  * add cpio to Build-Depends (used in test suite) (Closes: #562444)

 -- Jameson Rollins <jrollins@finestructure.net>  Mon, 11 Jan 2010 20:54:21 -0500

monkeysphere (0.26-1) unstable; urgency=low

  * New upstream release (Closes: #527765)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sat, 01 Aug 2009 17:11:05 -0400

monkeysphere (0.25-1) unstable; urgency=low

  * New upstream release (closes: #534008)
  * update Standard-Version to 3.8.2 (no changes needed)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Thu, 16 Jul 2009 22:09:19 -0400

monkeysphere (0.24-1) unstable; urgency=low

  * New upstream release (Closes: #517779)
  * update/cleanup maintainer scripts
  * remove GnuTLS dependency
  * remove versioned coreutils | base64 dependency
  * added Build-Deps for dh_autotest
  * switch to Architecture: all
  * added cron to Recommends

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Tue, 03 Mar 2009 19:38:33 -0500

monkeysphere (0.23.1-1) unstable; urgency=low

  * New upstrem release ("brown paper bag" to adjust internal version numbers)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 21 Feb 2009 18:09:47 -0500

monkeysphere (0.23-1) unstable; urgency=low

  * New upstream release: "The Golden Bezoar Release"

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 21 Feb 2009 17:51:06 -0500

monkeysphere (0.22-1) unstable; urgency=low

  * New upstream release
  * debian/control: corrected alternate dependency from procfile to
    procmail (which provides /usr/bin/lockfile)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Fri, 28 Nov 2008 14:23:31 -0500

monkeysphere (0.21-2) unstable; urgency=low

  * actually rmdir /var/lib/monkeysphere-* during prerm if possible.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 15 Nov 2008 16:36:57 -0500

monkeysphere (0.21-1) unstable; urgency=low

  * New upstream initial release to Debian (Closes: #505806)
  * Add debian prerm script, and add debhelper lines to other install
    scripts.

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sat, 15 Nov 2008 16:14:27 -0500
